%define	name	gnuplot
%define	version 4.2.2
%define release	%mkrel 4
%define	modeversion 0.6.0

Name:		%{name}
Summary:	A program for plotting mathematical expressions and data
Version:	%{version}
Release:	%{release}
Source0:	ftp://ftp.gnuplot.info/pub/gnuplot/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.gnuplot.info/pub/gnuplot/gnuplot-mode.%{modeversion}.tar.bz2
Source2:	ftp://ftp.gnuplot.info/pub/gnuplot/faq/gnuplot-faq.html.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		gnuplot-4.0.0-emacs-mode--disable-f9.patch
License:	Freeware-like
Group:		Sciences/Other
URL:		http://www.gnuplot.info/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires(post):		info-install
Requires(preun):		info-install
BuildRequires:	X11-devel
BuildRequires:	emacs-bin
BuildRequires:	ncurses-devel
BuildRequires:	png-devel
BuildRequires:	readline-devel
BuildRequires:	tetex-latex
BuildRequires:  texinfo
BuildRequires:  gd-devel

%description
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

%prep
%setup -q -a 1
%patch0 -p1

perl -pi -e 's|(^\s*)mkinstalldirs\s|$1./mkinstalldirs |' gnuplot-mode.%{modeversion}/Makefile.in
# Non-free stuff. Ouch. -- Geoff
rm -f demo/prob.dem demo/prob2.dem

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-fast-math"
%configure --with-readline=gnu --with-png --without-linux-vga
%make

pushd gnuplot-mode.%{modeversion} && {
    ./configure --prefix=/usr
    %make
} && popd

cp %{SOURCE2} .
bzip2 -d gnuplot-faq.html.bz2

cd docs
make ps
make pdf

%install
rm -rf $RPM_BUILD_ROOT

%{makeinstall_std}

pushd gnuplot-mode.%{modeversion} && {
    make install prefix=$RPM_BUILD_ROOT/usr
} && popd

cd gnuplot-mode.%{modeversion}
pdflatex gpelcard

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
install -m 644 dotemacs $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el

# menu


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Gnuplot
Comment=The famous function plotting program
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=true
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Sciences-Mathematics;Sciences;
EOF

# icon
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%post
%{update_menus}
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Copyright docs/psdoc docs/gnuplot.pdf gnuplot-faq.html
%doc demo gnuplot-mode.%{modeversion}/gpelcard.pdf README README.1ST
%doc TODO FAQ NEWS PORTING
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*.el
%{_bindir}/gnuplot
%{_mandir}/*/*
%{_datadir}/emacs/site-lisp/*
%{_libdir}/gnuplot
%{_datadir}/gnuplot
%{_datadir}/applications/mandriva-%{name}.desktop
%{_infodir}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_libdir}/X11/app-defaults/Gnuplot.app-defaults
%{_datadir}/texmf/tex/latex/gnuplot/gnuplot.cfg


%changelog
* Thu Feb 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.2.2-4mdv2008.1
+ Revision: 163373
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 06 2007 Olivier Thauvin <nanardon@mandriva.org> 4.2.2-3mdv2008.1
+ Revision: 106361
- rebuild for lzma man page

* Sat Oct 27 2007 Olivier Thauvin <nanardon@mandriva.org> 4.2.2-2mdv2008.1
+ Revision: 102689
- 4.2.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 4.2.0-2mdv2008.0
+ Revision: 70284
- unregister info file before uninstalling it
- kill file require on info-install

* Tue Apr 17 2007 Erwan Velu <erwan@mandriva.org> 4.2.0-1mdv2007.1
+ Revision: 13641
- 4.2.0
  Adding gd-devel buildrequires for png & jpg terminal


* Thu Oct 12 2006 Pixel <pixel@mandriva.com> 4.0.0-11mdv2006.0
+ Revision: 63501
+ Status: not released
- fix segfault (patch from fedora) (#25014)

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 4.0.0-8mdk
- Rebuild

* Fri May 20 2005 Pixel <pixel@mandriva.com> 4.0.0-7mdk
- disable f9 in emacs mode (it is too invasive)

* Wed May 18 2005 Giuseppe Ghib <ghibo@mandriva.com> 4.0.0-6mdk
- Fixed building docs with teTeX 3.0 (Pixel).

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.0.0-5mdk
- rebuild for new slang
- do not bzip2 icons in .src.rpm
- fix summary-ended-with-dot
- cosmetics

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 4.0.0-4mdk
- Rebuild with new menu

* Tue Jul 13 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.0-3mdk
- change mail adress in changelog

* Sun Jun 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.0-2mdk
- Guillaume Cottenceau is no longer the packager (Happy man :)
- BuildRequires texinfo (Thx Emmanuel Favre-Nicolin <manu_favre@yahoo.com>)

* Wed Jun 09 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.0-1mdk
- 4.0.0
- menu in spec, fix menu

* Sun Dec 21 2003 Stefan van der Eijk <stefan@eijk.nu> 3.7.3-3mdk
- BuildRequires

